<!--#======================================================================= -->
<!--# Copyright (c) 2012, 2014 - C4biz Softwares ME, Loetz GmbH&Co.KG (69115 Heidelberg, Germany) -->
<!--# All rights reserved. This program and the accompanying materials -->
<!--# are made available under the terms of the Eclipse Public License 2.0  -->
<!--# which accompanies this distribution, and is available at -->
<!--# https://www.eclipse.org/legal/epl-2.0/    -->
<!--#                                           -->
<!--# SPDX-License-Identifier: EPL-2.0          -->
<!--# -->
<!--# Contributors: -->
<!--# Cristiano Gavião (C4biz)- initial API and implementation -->
<!--#======================================================================= -->

<settings>
	<pluginGroups>
		<pluginGroup>org.eclipse.osbp</pluginGroup>
		<pluginGroup>org.sonatype.plugins</pluginGroup>
	</pluginGroups>
	<profiles>
		<profile>
			<!-- Required for dependencies of OSBP -->
			<id>osbp-dev</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<pluginRepositories>
				<pluginRepository>
					<id>osbp-nexus-release</id>
					<name>OSBP Nexus Release</name>
					<url>http://maven.osbp.org:8086/nexus/content/repositories/releases/
					</url>
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>false</enabled>
					</snapshots>
				</pluginRepository>
				<pluginRepository>
					<id>xtend</id>
					<url>http://build.eclipse.org/common/xtend/maven/</url>
				</pluginRepository>
				<pluginRepository>
					<id>fornax</id>
					<url>http://www.fornax-platform.org/m2/repository</url>
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>false</enabled>
					</snapshots>
				</pluginRepository>
				<pluginRepository>
					<id>osbp-thirdparty-plugins</id>
					<url>http://maven.osbp.org:8086/nexus/content/repositories/thirdparty/
					</url>
				</pluginRepository>
				<pluginRepository>
					<id>codehaus-public-repository-group</id>
					<name>Codehaus Public Repository Group</name>
					<url>https://nexus.codehaus.org/content/groups/public/</url>
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
				</pluginRepository>
				<pluginRepository>
					<id>apache-nexus-snapshots</id>
					<name>Apache Nexus Snapshots</name>
					<url>https://repository.apache.org/content/repositories/snapshots
					</url>
					<releases>
						<enabled>false</enabled>
					</releases>
					<snapshots>
						<updatePolicy>always</updatePolicy>
						<enabled>true</enabled>
					</snapshots>
				</pluginRepository>
			</pluginRepositories>
			<repositories>
				<repository>
					<id>xtend</id>
					<url>http://build.eclipse.org/common/xtend/maven/</url>
				</repository>
				<repository>
					<id>codehaus-public-repository-group</id>
					<name>Codehaus Public Repository Group</name>
					<url>https://nexus.codehaus.org/content/groups/public/</url>
					<layout>default</layout>
					<releases>
						<enabled>true</enabled>
						<updatePolicy>never</updatePolicy>
					</releases>
					<snapshots>
						<enabled>true</enabled>
						<updatePolicy>never</updatePolicy>
					</snapshots>
				</repository>
				<repository>
					<id>osbp-thirdparty-plugins</id>
					<url>http://maven.osbp.org:8086/nexus/content/repositories/thirdparty/
					</url>
				</repository>
				<repository>
					<id>Xtext releases</id>
					<layout>p2</layout>
					<url>http://download.eclipse.org/modeling/tmf/xtext/updates/composite/releases/
					</url>
				</repository>
				<repository>
					<id>osbp-nexus-snapshots</id>
					<name>OSBP Nexus Snapshots</name>
					<url>http://maven.osbp.org:8086/nexus/content/repositories/snapshots/
					</url>
					<releases>
						<enabled>false</enabled>
					</releases>
					<snapshots>
						<updatePolicy>always</updatePolicy>
						<enabled>true</enabled>
					</snapshots>
				</repository>
				<repository>
					<id>osbp-nexus-release</id>
					<name>OSBP Nexus Release</name>
					<url>http://maven.osbp.org:8086/nexus/content/repositories/releases/
					</url>
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>false</enabled>
					</snapshots>
				</repository>
				<repository>
					<id>apache-deps-snapshots</id>
					<name>Apache Nexus Snapshots</name>
					<url>https://repository.apache.org/content/repositories/snapshots
					</url>
					<releases>
						<enabled>false</enabled>
					</releases>
					<snapshots>
						<updatePolicy>always</updatePolicy>
						<enabled>true</enabled>
					</snapshots>
				</repository>
			</repositories>
		</profile>
	</profiles>
</settings>
